package javax.security.sasl;

import java.io.IOException;

public class SaslException extends IOException
{
    private Throwable _exception;
    private static final long serialVersionUID = 4579784287983423626L;
    
    public SaslException() {
    }
    
    public SaslException(String message) {
        super(message);
    }
    
    public SaslException(String message, Throwable t) {
        super(message);
        if (t != null) {
            this.initCause(t);
        }
    }
    
    @Override
    public Throwable getCause() {
        return this._exception;
    }
    
    @Override
    public Throwable initCause(Throwable t) {
        super.initCause(t);
        this._exception = t;
        return this;
    }
    
    @Override
    public String toString() {
        String str = super.toString();
        if (this._exception != null && this._exception != this) {
            str = str + " [Caused by " + this._exception.toString() + "]";
            return str;
        }
        return str;
    }
}
